Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.prg.species
Class PrgSpeciation

    java.lang.Object
      org.encog.ml.ea.species.ThresholdSpeciation
          org.encog.ml.prg.species.PrgSpeciation

All Implemented Interfaces:
  Serializable, Speciation

    public class PrgSpeciation

extends ThresholdSpeciation

Perform speciation for two Encog programs. This is a threshold based speciation, similar to that used for NEAT. Any genomes with a compatibility score below a specified threshold will be in the same species.

See Also:
  Serialized Form

Constructor Summary
`PrgSpeciation()`

Method Summary
`double` | `getCompatibilityScore(Genome genome1, Genome genome2)` Determine how compatible two genomes are.

Methods inherited from class org.encog.ml.ea.species.ThresholdSpeciation
`addSpeciesMember, findBestSpecies, getCompatibilityThreshold, getMaxNumberOfSpecies, getNumGensAllowedNoImprovement, getOwner, getSortGenomes, init, performSpeciation, removeSpecies, setCompatibilityThreshold, setMaxNumberOfSpecies, setNumGensAllowedNoImprovement, setSortGenomes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrgSpeciation

    public PrgSpeciation()

Method Detail

### getCompatibilityScore

    public double getCompatibilityScore(Genome genome1,
                                        Genome genome2)

  Determine how compatible two genomes are. More compatible genomes will be placed into the same species. The lower the number, the more compatible.

  Specified by:
    `getCompatibilityScore` in class `ThresholdSpeciation`
  Parameters:
    `genome1` - The first genome.
    `genome2` - The second genome.
  Returns:
    The compatability level.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.